Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045993
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[New POS] Coreminoralways2021-03-03 17:242021-03-15 09:15
ReportermigueldejuanaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045993: SynchronizationBuffer notifies even if nothing is synchronized

DescriptionIn web/org.openbravo.mobile.core/app/model/synchronization-buffer/SynchronizationBuffer.js in synchronize function, we do:

- notifyEventToListeners STARTED
- If there are messages, we synchronize them. If not, we do nothing
- notifyEventToListeners FINISHED

We notify that process even no messages are synchronized. It is ok because the process is executed, but it would be interesting to put in the notify params, the number of message to send to backend. It would be useful if we are able to know if we sent something to server or not.
Steps To Reproducen/a
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126675)
hgbot (developer)
2021-03-13 11:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/187 [^]
(0126689)
hgbot (developer)
2021-03-15 08:18

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: fcb38639ebe8b1e500e2ec2cb007213dabfa12de
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2021-03-15T08:17:27+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/fcb38639ebe8b1e500e2ec2cb007213dabfa12de [^]

Fixes ISSUE-45993: number of synced messages in sync finished event

  Include the number of synced messages in the SYNC_PROCESS_FINISHED
event. This information can be used by the listeners of this kind of
event for example to know whether the synchronization process did
synchronize any message or not.

---
M web-test/model/synchronization-buffer/SynchronizationBuffer.test.js
M web/org.openbravo.mobile.core/app/model/synchronization-buffer/SynchronizationBuffer.js
---
(0126690)
hgbot (developer)
2021-03-15 08:18

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/187 [^]

- Issue History
Date Modified Username Field Change
2021-03-03 17:24 migueldejuana New Issue
2021-03-03 17:24 migueldejuana Assigned To => platform
2021-03-03 17:24 migueldejuana Triggers an Emergency Pack => No
2021-03-13 10:47 caristu Issue cloned 0046069
2021-03-13 11:09 hgbot Note Added: 0126675
2021-03-15 08:18 hgbot Resolution open => fixed
2021-03-15 08:18 hgbot Status new => closed
2021-03-15 08:18 hgbot Fixed in Version => RR21Q2
2021-03-15 08:18 hgbot Note Added: 0126689
2021-03-15 08:18 hgbot Note Added: 0126690
2021-03-15 09:15 caristu Assigned To platform => caristu


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker